Skip to main content
`Ctrl`+`K`

# PetscObjectsDump

Prints all the currently existing objects.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectsDump(FILE *fd, PetscBool all)

## Input Parameters

- fd - file pointer

- all - by default only tries to display objects created explicitly by the user, if all is `PETSC_TRUE` then lists all outstanding objects

## Options Database Key

- -objects_dump all - print information about all the objects that exist at the end of the programs run

## Note

Only MPI rank 0 of `PETSC_COMM_WORLD` prints the values

## See Also

`PetscObject`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages